<?php

namespace App\Interfaces;

interface UserRepositoryInterface
{
    public function all();
    public function find($id);
    public function datatable();
    public function datatableApprove();
    public function datatableTrash();
    public function create(array $data);
    public function update($id, array $data);
    public function delete($id);
}